<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Google Maps Autocomplete</title>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCEJH3cqPvh8m3IX4iqryby_UdYFXtZhAs&libraries=places"></script>
    <style>
        /* Simple styling for the input */
        #locationInput {
            width: 300px;
            padding: 10px;
            border: 1px solid #ccc;
            border-radius: 4px;
        }
    </style>
</head>
<body>

    <h1>Location Search</h1>
    <input id="locationInput" type="text" placeholder="Search nearby stores by pincode, locality, city">
    <button id="searchButton">Search</button>

    <div id="map" style="height: 400px; width: 100%; margin-top: 20px;"></div>

    <script>
        function initAutocomplete() {
            const input = document.getElementById('locationInput');
            const autocomplete = new google.maps.places.Autocomplete(input, {
                componentRestrictions: { country: 'in' } // Restrict to India
            });

            autocomplete.addListener('place_changed', function() {
                const place = autocomplete.getPlace();
                if (place.geometry) {
                    console.log('lt',place.geometry.location.lat());
                    console.log('ln',place.geometry.location.lng());

                    // Set the map to the selected location
                    const map = new google.maps.Map(document.getElementById('map'), {
                        center: place.geometry.location,
                        zoom: 14
                    });

                    new google.maps.Marker({
                        position: place.geometry.location,
                        map: map
                    });
                } else {
                    alert('No details available for input: ' + input.value);
                }
            });
        }

        // Initialize the autocomplete on window load
        window.onload = initAutocomplete;
    </script>

</body>
</html>
