<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dynamic Filter</title>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>
<body>
    <h1>Select Location</h1>
    <label for="district">District:</label>
    <select id="district">
        <option value="">Select District</option>
        <!-- Populate districts here -->
    </select>

    <label for="city">City:</label>
    <select id="city" disabled>
        <option value="">Select City</option>
        <!-- Populate cities here -->
    </select>

    <label for="locality">Locality:</label>
    <select id="locality" disabled>
        <option value="">Select Locality</option>
        <!-- Populate localities here -->
    </select>

    <script>
        $(document).ready(function() {
            // Load districts on page load
            $.ajax({
                url: 'get_districts.php',
                method: 'GET',
                success: function(data) {
                    const districts = JSON.parse(data);
                    districts.forEach(district => {
                        $('#district').append(new Option(district.name, district.id));
                    });
                }
            });

            // Load cities based on selected district
            $('#district').change(function() {
                const districtId = $(this).val();
                $('#city').empty().append(new Option("Select City", "")).prop('disabled', !districtId);
                $('#locality').empty().append(new Option("Select Locality", "")).prop('disabled', true);

                if (districtId) {
                    $.ajax({
                        url: 'get_cities.php',
                        method: 'GET',
                        data: { district_id: districtId },
                        success: function(data) {
                            const cities = JSON.parse(data);
                            cities.forEach(city => {
                                $('#city').append(new Option(city.name, city.id));
                            });
                        }
                    });
                }
            });

            // Load localities based on selected city
            $('#city').change(function() {
                const cityId = $(this).val();
                $('#locality').empty().append(new Option("Select Locality", "")).prop('disabled', !cityId);

                if (cityId) {
                    $.ajax({
                        url: 'get_localities.php',
                        method: 'GET',
                        data: { city_id: cityId },
                        success: function(data) {
                            const localities = JSON.parse(data);
                            localities.forEach(locality => {
                                $('#locality').append(new Option(locality.name, locality.id));
                            });
                        }
                    });
                }
            });
        });
    </script>
</body>
</html>
